#pragma once

#include <nlohmann/json.hpp>
#include <string>

class WolframAlpha {
public:
  explicit WolframAlpha(const std::string& query, double amount);

  double getCalories();
  double getProtein();
  double getCarbs();
  double getFat();

private:
  nlohmann::json fetchJson(const std::string& query);
  std::string    getPod();

  nlohmann::json m_json{};
  double         m_amount{};
};
